This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 178900 - Review Request: monodoc
Review Request: monodoc
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 178904
  Show dependency treegraph
 
Reported: 2006-01-25 06:08 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-02 10:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-01-25 06:08:05 EST
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc-1.1.9-2.src.rpm
Description: Monodoc is the documentation plugin for monodevelop which lists just about every part of the .NET (with mono extensions).

Warning : srpm is about 18Mb in size.
Comment 1 Rowan Kerr 2006-02-03 18:30:26 EST
Builds and installs without errors. (on rawhide)
Comment 2 Andy Burns 2006-02-03 19:14:56 EST
Rowan, did you just mid klight collide over the top of my >10K review ? :-(

Comment 3 Andy Burns 2006-02-03 19:16:20 EST
I would have been *MIGHTY PEEVED OFF* if I han't kept a copy of it pasted
somewhere else :-)

      - MUST: rpmlint must be run on every package. The output should be posted
in the review.


# rpmlint -v RPMS/i386/monodoc-1.1.9-2.i386.rpm
I: monodoc checking
E: monodoc no-binary
E: monodoc only-non-binary-in-usr-lib

I pulled the rpm apart with rpm2cpio | cpio -id and had a look inside
I presume the no-binary is because it produces PE rather than ELF executables?
What do beagle/fspot do in this case? 

W: monodoc no-documentation

Ironic!

W: monodoc devel-file-in-non-devel-package /usr/lib/pkgconfig/monodoc.pc

Don't know what this is, so no clue why rpmlint moans about it

# rpmlint -v RPMS/i386/monodoc-debuginfo-1.1.9-2.i386.rpm
I: monodoc-debuginfo checking

OK

# rpmlint -v SRPMS/monodoc-1.1.9-2.src.rpm
I: monodoc checking
E: monodoc hardcoded-library-path in %{buildroot}/usr/lib/mono/gac
E: monodoc hardcoded-library-path in %{buildroot}/usr/lib

within %install any reason you've used some with /usr/lib instead of %{_libdir} ?
e.g.
  %{__mkdir} -p %{buildroot}%{_libdir}/pkgconfig
  %{__mkdir} -p %{buildroot}/usr/lib/mono/gac

E: monodoc hardcoded-library-path in /usr/lib/mono/gac/monodoc
E: monodoc hardcoded-library-path in /usr/lib/mono/monodoc/monodoc.dll

similar from %files shodle these be %{_libdir} too?
  /usr/lib/mono/gac/monodoc
  /usr/lib/mono/monodoc/monodoc.dll


      - MUST: The package must be named according to the Package Naming Guidelines.


OK


      - MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec

OK

      - MUST: The package must meet the Packaging Guidelines.


NOT CHECKED


      - MUST: The package must be licensed with an open-source compatible
license and meet other legal requirements as defined in the legal section of
Packaging Guidelines.


"COPYING" file shows GPL
If REDHAT can't comment about legal matters on mono/.net I'm sure I'm not
qualified to :-(
In general found individual sorce fiels didn't have licence info contained


      - MUST: The License field in the package spec file must match the actual
license.


GPL in .spec and "COPYING"


      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.


No %doc in %files, shoul dit be added and COPYING placed there?


      - MUST: The spec file must be written in American English.


Didn't spot any Britishisms ;-)


      - MUST: The spec file for the package MUST be legible.


Clean


      - MUST: The sources used to build the package must match the upstream source

# md5sum /usr/src/redhat/SOURCES/monodoc-1.1.9.tar.gz
2b8548b7160c1f3124c9f7b8f2044a88  /usr/src/redhat/SOURCES/monodoc-1.1.9.tar.gz

# wget -O upstream.tgz http://go-mono.com/sources/monodoc/monodoc-1.1.9.tar.gz
--23:35:38--  http://go-mono.com/sources/monodoc/monodoc-1.1.9.tar.gz
           => `upstream.tgz'
Resolving go-mono.com... 64.14.94.188
Connecting to go-mono.com|64.14.94.188|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 17,328,634 (17M) [application/x-gzip]

100%[==================================================================================================>]
17,328,634   111.94K/s    ETA 00:00

23:38:09 (111.73 KB/s) - `upstream.tgz' saved [17328634/17328634]

# md5sum /root/upstream.tgz
2b8548b7160c1f3124c9f7b8f2044a88  /root/upstream.tgz


OK


      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture.


OK for me on i386
FAILED to compile for me on x86_64 (likely flaky mono on my machine beagle is
acting up to)

      - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. The bug should be marked as blocking one
(or more) of the following bugs to simplify tracking such issues: [WWW]
FE-ExcludeArch-x86, [WWW] FE-ExcludeArch-x64, [WWW] FE-ExcludeArch-ppc


NOT CHECKED


      - MUST: A package must not contain any BuildRequires that are listed in
the exceptions section of Packaging Guidelines.


OK

      - MUST: All other Build dependencies must be listed in BuildRequires.


SEEMED OK, I had to install mono-devel


      - MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.


NO /locale/* files at all, not sure if monodoc has any i18n at all


      - MUST: If the package contains shared library files located in the
dynamic linker's default paths,


No .so files, whether it needs to do anything similar with it's .dll files I
don't know


      - MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.


Dont think so


      - MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. The exception to this are directories listed explicitly
in the Filesystem Hierarchy Standard ([WWW]
http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is safe to assume that
those directories exist.

Not checked


      - MUST: A package must not contain any duplicate files in the %files listing.

No wildcards used at all, disn't spot any dupes


      - MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line.


No %defattr, can't see a reason why it would hurt to have one


      - MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).


yes


      - MUST: Each package must consistently use macros, as described in the
macros section of Packaging Guidelines.

yes

      - MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines.


seems OK, rpmlint doesn't acknowledge PE as code, but it plainly is also the
actual monodoc content seems to be in xml bundles


      - MUST: Large documentation files should go in a -docs subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)


This *is* a docs package

      - MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.


No %doc at all at present, should be fixed


      - MUST: Header files or static libraries must be in a -devel package.


Didn't check


      - MUST: Files used by pkgconfig (.pc files) must be in a -devel package.


There is a monodoc.pc file being packaged, I don't kneo if ".pc" files are
significant in some other way 
(apart from pgkconfig) to mono?


      - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package.


No .so files


      - MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency.


No separate -devel


      - MUST: Packages must NOT contain any .la libtool archives, these should
be removed in the spec.


No .la files


      - MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. This is described in detail in the
desktop files section of Packaging Guidelines. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation.


No .desktop file, unclear to me now if monodocs actually displays docs, in GUI,
or just prepares thenm for later display, or browser based display.


      - MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora Extras should ever share ownership
with any of the files or directories owned by the filesystem or man package. If
you feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.


Didn't check


      - SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.


It does include separate licence file


      - SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.


No extra translations provided


      - SHOULD: The reviewer should test that the package builds in mock.


not done


      - SHOULD: The package should compile and build into binary rpms on all
supported architectures.


Only done on i386, tried and failed  on x86_64 (probably not this packages fault)


      - SHOULD: The reviewer should test that the package functions as
described. A package should not segfault instead of running, for example.


Installed ok in i386 machine that was used to build
no info how to start, or what it should do
I tried "mono mod.exe" at least it gave a polite error rather than crashing


      - SHOULD: If scriptlets are used, those scriptlets must be sane. This is
vague, and left up to the reviewers judgement to determine sanity.


None used


      - SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.


None

Comment 4 Paul F. Johnson 2006-02-03 19:44:16 EST
Hi,

> # rpmlint -v RPMS/i386/monodoc-1.1.9-2.i386.rpm
> I: monodoc checking
> E: monodoc no-binary
> E: monodoc only-non-binary-in-usr-lib
>
There are binaries, but it's probably because they're .NET ones instead of
standard ELF one which are causing the false positive.

> W: monodoc no-documentation
> 
> Ironic!

There is some external documentation, but it requires mod-mono and xsp to be
installed and as the package works fine without those extras, I felt it was
better to exclude them. I will include them if needs be.

> # rpmlint -v SRPMS/monodoc-1.1.9-2.src.rpm
> I: monodoc checking
> E: monodoc hardcoded-library-path in %{buildroot}/usr/lib/mono/gac
> E: monodoc hardcoded-library-path in %{buildroot}/usr/lib
> 
> within %install any reason you've used some with /usr/lib instead of %{_libdir} ?
> e.g.
>   %{__mkdir} -p %{buildroot}%{_libdir}/pkgconfig
>   %{__mkdir} -p %{buildroot}/usr/lib/mono/gac

You have to. By default, all that is mono installs to /usr/lib. Now, if I'm on
an x86_64 or any other non-32 bit architecture, %{_libdir} is /usr/lib64. This
breaks a lot of stuff under Mono (from what I've seen).

Please see my bit on the fedorawiki on packaging for mono.

>       - MUST: The package must meet the Packaging Guidelines.
> NOT CHECKED

It should ;-)

>       - MUST: The package must be licensed with an open-source compatible
> license and meet other legal requirements as defined in the legal section of
> Packaging Guidelines.
>  
> "COPYING" file shows GPL
> If REDHAT can't comment about legal matters on mono/.net I'm sure I'm not
> qualified to :-(
> In general found individual sorce fiels didn't have licence info contained

Mono itself is a right mix of licences. monodoc is GPL. I can't comment on the
legal cloud around RH allowing mono in, but if a licence says GPL (or LGPL, BSD
or the likes), then I'm good with it.
 
> No %doc in %files, shoul dit be added and COPYING placed there?

Yes. As should AUTHORS and a couple of others.

>       - MUST: The package must successfully compile and build into binary rpms
> on at least one supported architecture.
> 
> 
> OK for me on i386
> FAILED to compile for me on x86_64 (likely flaky mono on my machine beagle is
> acting up to)

Which version of mono have you got on the 64 bit box? I'm on 1.1.3 and it
compiled without a hitch.

>       - MUST: All other Build dependencies must be listed in BuildRequires.
> 
> SEEMED OK, I had to install mono-devel

Good :-)

>       - MUST: The spec file MUST handle locales properly. This is done by using
> the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
> 
> 
> NO /locale/* files at all, not sure if monodoc has any i18n at all

I can't see any.
 
>       - MUST: If the package contains shared library files located in the
> dynamic linker's default paths,
>  
> No .so files, whether it needs to do anything similar with it's .dll files I
> don't know

.NET doesn't use .so (as such). Again, see my piece on the fedora wiki for
packaging for mono

>       - MUST: In the vast majority of cases, devel packages must require the
> base package using a fully versioned dependency.
> 
> 
> No separate -devel

As such, there aren't really devel packages for mono (other than mono-devel that
is!)


>       - MUST: Packages containing GUI applications must include a
> %{name}.desktop file, and that file must be properly installed with
> desktop-file-install in the %install section. This is described in detail in the
> desktop files section of Packaging Guidelines. If you feel that your packaged
> GUI application does not need a .desktop file, you must put a comment in the
> spec file with your explanation.
> 
> 
> No .desktop file, unclear to me now if monodocs actually displays docs, in GUI,
> or just prepares thenm for later display, or browser based display.

monodoc is used inside of monodevelop and won't run outside of it.

>       - SHOULD: The reviewer should test that the package builds in mock.
>  
> not done

I can't get mock to work, so I just compile it on the laptop and x86_64 box!

> Installed ok in i386 machine that was used to build
> no info how to start, or what it should do
> I tried "mono mod.exe" at least it gave a polite error rather than crashing

monodoc is not designed to work standalone.
 
Thanks for the feedback
Comment 5 Andy Burns 2006-02-04 04:24:48 EST
(In reply to comment #4)

> There are binaries, but it's probably because they're .NET ones instead of
> standard ELF one which are causing the false positive.

yes, I did realise this with my "because it produces PE rather than ELF
executables?" comment, Still interested to know if/how beagle/fspot go out of
their way to persuade rpmlint it's ok?

> > Ironic!
> 
> There is some external documentation, [snip] I will include them if needs be.

I meant rpmlint had missed the point about monodoc *being* doc, rather than
having doc, though if the docs did explain that this package is not runnable as
such, just providing doc contents it might be worthwhile.

> any other non-32 bit architecture, %{_libdir} is /usr/lib64. This
> breaks a lot of stuff under Mono

at least there's a reason, I'm not qualified to say if its a qood enough one

> Which version of mono have you got on the 64 bit box? I'm on 1.1.3 and it
> compiled without a hitch.

1.1.3.2 beagle/fspot have worked in the past, they broke some time after fc5t2,
mabe when the kernel went to 2.6-16-pre series? what's a very simple mono prog
to run check if all of mono is deas on my machine, or just bits of it?

I believe you compile your own mono rather than installing fedora's?

> monodoc is used inside of monodevelop and won't run outside of it.

ok, so no .desktop required

> Thanks for the feedback

If you get a chance to review my Eiciel package I'd be greatful 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=179758

Comment 6 Jeremy Katz 2006-02-15 17:56:45 EST
Note that the mono packages in Core have everything in %{_libdir} with nothing
in /usr/lib without problems.  So what exactly is the problem with /usr/lib? 
It's not clear to me at all from your comments on the wiki, you just say "you
have to do it this way"

And note that mono on x86_64 is broken with kernels between test2 and something
like 1939
Comment 7 Paul F. Johnson 2006-02-16 02:12:33 EST
When I installed mono on my x86_64 boxes, everything defaulted to /usr/lib,
hense the warning.

There isn't a problem (as such) with 64 bit stuff going into /usr/lib. I was
under the impression though that anything 64 bit should really go in /usr/lib64
until such time that use of 64 bit was far more widespread.

I kind of assumed there was a problem with the 64 bit version between test2 and
some of the newer kernels due to the find file bug (or whatever it was called).
However, even on kernel 1948 there is a problem with compilation (try compiling
gtksourceview-sharp and you'll see what I mean (it complains that
/usr/lib64/pkgconfig/../../share/gapi-2.0/gnome-api.xml doesn't exist when it
does - this could be down to a configure problem but the file does exist on my
machines).

Thanks for the comments
Comment 8 Paul F. Johnson 2006-03-06 18:11:47 EST
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc-1.1.13-2.src.rpm

Changelog

Massive bump to the new version. Added monodoc to bindir and the readme files to
usr/share/monodoc

Warning : the srpm is approaching 18Mb in size!
Comment 9 Christopher Aillon 2006-03-15 20:35:19 EST
Claiming for review.
Comment 10 Paul F. Johnson 2006-04-17 12:49:49 EDT
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc-1.1.13-3.src.rpm

Large spec file change
Comment 11 Paul F. Johnson 2006-04-18 18:06:41 EDT
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc-1.1.13-4.src.rpm

Lots of fixes to the spec file
libdir is now /usr/lib irrespective of architecture built on
Comment 12 Brian Pepple 2006-05-12 11:09:18 EDT
MD5Sums:
b5366181170e473c918537af145adafb  monodoc-1.1.13.tar.gz

Good:
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* Builds fine in Mock

Bad:
* COPYING file should be added to %doc.
* Inconsistent use of ${RPM_BUILD_ROOT} & %{buildroot}.
* Ownership problems with some of the directories.  In general, you don't want
to use wildcards to pull in children directories.
* Unnecessary scriptlet for shared libraries, which this package doesn't have.

Minor:
* rpmlint errors:
 E: monodoc no-binary
 E: monodoc only-non-binary-in-usr-lib
 W: monodoc no-documentation
 W: monodoc devel-file-in-non-devel-package /usr/lib/pkgconfig/monodoc.pc
 W: monodoc one-line-command-in-%postun /sbin/ldconfig

Most of these can be ignored since this is a mono package, and the ones that
should be addressed are mention in the Bad section of this review.
Comment 13 Paul F. Johnson 2006-05-14 08:49:41 EDT
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc-1.1.13-6.src.rpm

Fixes as suggested
Comment 14 Brian Pepple 2006-05-15 16:09:08 EDT
These  items still need to be fixed.

* Unnecessary scriptlet for shared libraries, which this package doesn't have.
* Inconsistent use of ${RPM_BUILD_ROOT} & %{buildroot}.

Also, the *.pc file must be placed in -devel subpackage.  This was decided
yesterday on the FE mailing list yesterday.  Spot is revising the main package
documentation and I've already modified the Mono packaging page to reflect this.
Comment 15 Paul F. Johnson 2006-05-15 16:31:42 EDT
New specfile uploaded. I've not uploaded the .src.rpm yet as my connection is
playing up from here.

Fixed the points you've made.

Spec Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc.spec
Comment 16 Brian Pepple 2006-05-21 11:04:45 EDT
Couple items still need work:

* Unnecessary scriptlet for shared libraries is still in spec.
* -devel package should require on %{name} = %{version}-%{release}
Comment 17 Paul F. Johnson 2006-05-31 18:14:47 EDT
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc.spec

Changes

1.1.13-8

Removed postun
Fixed the devel package bit
Added %description devel to the spec file
Comment 18 Brian Pepple 2006-05-31 19:41:37 EDT
NEEDS WORK.

1. Somewhere between monodoc-1.1.13-4.src.rpm & monodoc-1.1.13-8.src.rpm, in the
%files sections you changed '%{_bindir}/*' to '%{_bindir}/'.  This will give you
the following error when running rpmlint:
      E: monodoc standard-dir-owned-by-package /usr/bin

Which is a big no-no.

2. The debuginfo package is empty.  You need to define '%define debug_package
%{nil}' in the spec to disable it.
Comment 19 Paul F. Johnson 2006-06-01 04:57:19 EDT
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc-1.1.13-9.src.rpm
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/monodoc.spec

Changes

Fixed the /usr/bin problem (#18)
Disabled debug package (#18}
Comment 20 Brian Pepple 2006-06-01 15:32:22 EDT
MD5Sums:
b5366181170e473c918537af145adafb  monodoc-1.1.13.tar.gz

Good:
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* Builds fine in Mock

Minor:
* Any reason why you use '%define _libdir %{_exec_prefix}/lib' instead of
'%define _libdir /usr/lib'?  Your macro doesn't appear to be fixing anything,
and needs be corrected before importing into CVS.

Notes:
* rpmlint gives the following error, which can be ignored since it's a mono package:
  E: monodoc no-binary
  E: monodoc only-non-binary-in-usr-lib
* In the future, it would make reviewing easier if you used the spec file
templates from the fedora-rpmdevtools package.

+1 ACCEPT
Comment 21 Paul F. Johnson 2006-06-01 18:23:03 EDT
Thanks - if it's good to go, I'll commit it tonight
Comment 22 Brian Pepple 2006-06-01 19:41:15 EDT
Any reason why you didn't correct the _libdir macro?  To me this is a blocker
that should be fixed before building.
Comment 23 Paul F. Johnson 2006-06-01 19:46:20 EDT
For some reason, if I define _libdir to be /usr/lib, things go wrong for 64 bit
architecture whereas with this macro, things work correctly. It could just be my
buildsystems.
Comment 24 Brian Pepple 2006-06-01 19:56:33 EDT
Well, using %{_exec_prefix}/lib is no different than using %{_libdir}.  Refer to
http://fedoraproject.org/wiki/Extras/RPMMacros
Comment 25 Paul F. Johnson 2006-06-01 20:10:02 EDT
Unless I'm mistaken, %{_libdir} is whatever lib the architecture specifies
(/usr/lib64 or /usr/lib). However %{_exec_prefix}/lib will always go to /usr/lib
without exception

I'll check the URL anyway. As the +1 Accept had been given, I've committed and
built the package, but until this is resolved, I'll leave the bug open.
Comment 26 Brian Pepple 2006-06-01 20:28:54 EDT
If you've go a 86_64 system, run rpm --eval '%{_exec_prefix}'
Comment 27 Paul Howarth 2006-06-02 05:36:21 EDT
(In reply to comment #26)
> If you've go a 86_64 system, run rpm --eval '%{_exec_prefix}'

And try the same for %{_lib} and %{_libdir}, which I would expect to be /lib64
and /usr/lib64 respectively. Isn't %{_exec_prefix} = /usr on all current arches?
Comment 28 Jason Tibbitts 2006-06-02 09:43:38 EDT
> rpm --eval '%{_exec_prefix}' --eval '%{_lib}' --eval '%{_libdir}'
/usr
lib64
/usr/lib64

> uname -a
Linux compute19.math.uh.edu 2.6.16-1.2122_FC5 #1 SMP Sun May 21 15:01:10 EDT
2006 x86_64 x86_64 x86_64 GNU/Linux
Comment 29 Brian Pepple 2006-06-02 09:58:56 EDT
Geez, I wonder what crack I was smokin' yesterday.
Comment 30 Paul F. Johnson 2006-06-02 10:04:06 EDT
Dunno, but it can't have been as bad as some of the beer I was drinking while
writing some code...

Beer and programming don't mix!

Note You need to log in before you can comment on or make changes to this bug.